> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Conversations

> List the current user's conversations.



## OpenAPI

````yaml /openapi.json get /api/v1/allmodelchat/conversations
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/allmodelchat/conversations:
    get:
      tags:
        - AllModelChat
      summary: List Conversations
      description: List the current user's conversations.
      operationId: list_conversations_api_v1_allmodelchat_conversations_get
      parameters:
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: folder
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder
        - name: status
          in: query
          required: false
          schema:
            type: string
            default: active
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmcConversationListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AmcConversationListResponse:
      properties:
        conversations:
          items:
            $ref: '#/components/schemas/AmcConversationResponse'
          type: array
          title: Conversations
        total:
          type: integer
          title: Total
      type: object
      required:
        - conversations
        - total
      title: AmcConversationListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AmcConversationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        style_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Style Id
        folder:
          anyOf:
            - type: string
            - type: 'null'
          title: Folder
        is_pinned:
          type: boolean
          title: Is Pinned
        status:
          type: string
          title: Status
        message_count:
          type: integer
          title: Message Count
        total_cost_credits:
          type: number
          title: Total Cost Credits
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - title
        - model_id
        - style_id
        - folder
        - is_pinned
        - status
        - message_count
        - total_cost_credits
        - created_at
        - updated_at
      title: AmcConversationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````